Axelered AI
API Process

Read Process Run

GET
/w/{workspace_id}/process/{run_id}

Fetch the current state of a process run. When wait is set, long-poll up to that many seconds for terminal state.

Path Parameters

run_id*Run Id
Formatuuid
workspace_id*Workspace Id
Formatuuid

Query Parameters

wait?Wait

Maximum time in seconds to wait for the run to reach a terminal state. Set to 0 for immediate response.

Default0
Range0 <= value <= 60

Response Body

application/json

application/json

{  "data": {    "config": {      "extractionConfig": {        "jsonSchema": {          "properties": {            "invoiceNumber": {              "type": "string"            },            "totalAmount": {              "type": "number"            }          },          "required": [            "invoiceNumber",            "totalAmount"          ],          "type": "object"        }      },      "parserConfig": {        "jpegQuality": 95,        "maxPixels": 11289600,        "provider": "axelered"      },      "parserId": "018f8e02-4b2a-7c9d-8d4e-987654321abc"    },    "files": [      "invoice.pdf"    ],    "id": "018f8e02-4b2a-7c9d-8d4e-123456789abc",    "status": "queued"  },  "status": "ok"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}